Package com.documentum.registry

# Interface IDfRegistryWin32

All Superinterfaces:
  `IDfRegistry`

All Known Implementing Classes:
  `DfRegistryWin32`

public interface IDfRegistryWin32 extends IDfRegistry

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `TYPE_BINARY`
  Enumerated value type specifier for binary data.
  `static final int`
  `TYPE_INT`
  Enumerated value type specifier for integer data.
  `static final int`
  `TYPE_NONE`
  `static final int`
  `TYPE_STRING`
  Enumerated value type specifier for String data.

  ### Fields inherited from interface com.documentum.registry.IDfRegistry

  `ALL_ACCESS, ALTERNATE_FILEPATHS, DCTM_ROOT, HKEY_CLASSES_ROOT, HKEY_PERFORMANCE_DATA, HKEY_USERS, KEY_DELIMITER, LOCALMACHINE_ROOT, READ_ACCESS, USER_ROOT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getValueType(String name)`

  ### Methods inherited from interface com.documentum.registry.IDfRegistry

  `closeKey, createKey, deleteSubKey, deleteSubKeys, deleteValue, flush, getBinaryValue, getBinaryValueAt, getBinaryValues, getIntValue, getIntValueAt, getIntValues, getStringValue, getStringValueAt, getStringValues, getValuesSize, isSubKey, isValueNamePresent, openKey, reset, setBinaryValue, setBinaryValueAt, setBinaryValues, setIntValue, setIntValueAt, setIntValues, setStringValue, setStringValueAt, setStringValues, setValuesSize, subKeys, values`

- ## Field Details

  - ### TYPE_NONE

    static final int TYPE_NONE
    See Also:
      - Constant Field Values

  - ### TYPE_STRING

    static final int TYPE_STRING
    Enumerated value type specifier for String data.
    See Also:
      - Constant Field Values

  - ### TYPE_BINARY

    static final int TYPE_BINARY
    Enumerated value type specifier for binary data.
    See Also:
      - Constant Field Values

  - ### TYPE_INT

    static final int TYPE_INT
    Enumerated value type specifier for integer data.
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getValueType

    int getValueType(String name) throws Exception
    Throws:
      `Exception`